#pragma once
#include "item.h"
#include <stdint.h>

class Turnout: public Item
{
public:
	static constexpr uint8_t LEFT = 0;
	static constexpr uint8_t RIGHT = 1;

private:
	uint8_t _direction = LEFT;
	uint8_t _subaddress;

public:
	Turnout(uint8_t address, uint8_t subaddress);
	void setDirection(uint8_t direction);
	uint8_t getDirection();
	uint8_t getSubaddress();
	uint16_t getPacket();
	void sendData();
};
